doctype html
html
    head
        meta(charset='UTF-8')
        title bayou.pvos.org
        link(rel='stylesheet', href='/style.css')
        //script(src='https://cdn.jsdelivr.net/npm/chart.js@2.8.0')
        //script(src='js/dist/Char.min.js')
        script(src='https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js')
        script(src='https://cdn.jsdelivr.net/npm/chart.js@2.9.3')
        script(src='https://cdnjs.cloudflare.com/ajax/libs/regression/2.0.1/regression.min.js')
        //script(src='https://cdn.jsdelivr.net/npm/luxon@1.22.1')
        script(src='https://cdn.jsdelivr.net/npm/chartjs-adapter-luxon@0.2.1')
        script(src='/js/qrcode.min.js')
        script(src='/js/bayou.js')

<a href="/">Back to home</a>

script.
    var co2_ambient = 400;

script.
    function updateBaseline() {
    //console.log("poo");
    //co2_ambient =co2_ambient+100;
    //console.log(co2_ambient);
    console.log(document.getElementById("new_baseline").value);
    co2_ambient=parseInt(document.getElementById("new_baseline").value);
    //console.log(co2_ambient);
    document.getElementById("baseline").innerHTML = co2_ambient.toString();
    }

<hr>

//h2 Feed: "#{feed_pubkey}"

//li.boxsmaller <b>Feed Name:</b> "#{feed_name}"
li.boxsmaller <b>Feed Public Key:</b> #{feed_pubkey}

//





p.boxsmaller Select region of graph below to perform exponential fit:

canvas(id="overlay" width="200" height="50" style="position:absolute;pointer-events:none;")
canvas(id='myChart' width="200" height="50")

hr


//p.boxsmaller <b>CO2 Baseline</b>: <span id="baseline"> 420 </span>

//input(id="new_baseline" type='text' name='feed_pubkey' placeholder='420')
//br
//button(onclick="updateBaseline()") <b>Update CO2 Baseline (PPM) for Exponential Fit</b>

p.boxsmaller(id='fitval') <b>ACH</b>:

canvas(id='exponential' width="200" height="50")

hr

p.boxsmaller Plot and Fit of <b>ln[(co2-co2_ambient)/co2[t=0]-co2_ambient)]</b>

p.boxsmaller(id='linear')   <b>slope</b>; <b>intercept</b>; <b>R2</b>

canvas(id='myFit' width="200" height="50")

    script.
        var ctx = document.getElementById('myChart').getContext('2d');
        ctx.canvas.width  = 300;
        ctx.canvas.height = 100;
        ctx = document.getElementById('overlay').getContext('2d');
        ctx.canvas.width  = 300;
        ctx.canvas.height = 100;
        ctx = document.getElementById('exponential').getContext('2d');
        ctx.canvas.width  = 300;
        ctx.canvas.height = 100;
        ctx = document.getElementById('myFit').getContext('2d');
        ctx.canvas.width  = 300;
        ctx.canvas.height = 100;

    script.
        QRCode.toCanvas(document.getElementById('qrcode'), 'http://#{base_url}/data/#{feed_pubkey}', function (error) {
        if (error) console.error(error)
        console.log('success!');
        })
    
    script.
        const canvas = document.getElementById("qrcode");
        const canvasdata = canvas.toDataURL();
        const link = document.getElementById("downloadlink");
        link.href = canvasdata;
        link.download = "feed_#{feed_pubkey}.png";

    script.
        //var co2_ambient = 400;
        makeNodeChart('myChart',!{JSON.stringify(feed_pubkey)},!{JSON.stringify(plot_param)},!{JSON.stringify(limit)},!{JSON.stringify(node_id)},co2_ambient);
        setupOverlay('myChart');//makeFit('myFit',!{JSON.stringify(feed_pubkey)},!{JSON.stringify(plot_param)},!{JSON.stringify(limit)},!{JSON.stringify(node_id)},co2_ambient);
